#include <fstream>
#include<iomanip>

using namespace std;

ifstream fi("sontn.inp");
ofstream fo("sontn.out");

int main()
{
    int n;
    fi>>n;
    double suml=0,sumc=0,numl=0,numc=0;
    for (int i=1;i<n;i++){
        if (i%2==0){sumc+=i;numc++;}
        if (i%2==1){suml+=i;numl++;}
    }
    fo<<sumc<<" ";fo<<fixed<<setprecision(2)<<sumc/numc<<endl;
    fo<<fixed<<setprecision(0)<<suml<<" ";fo<<fixed<<setprecision(2)<<suml/numl<<endl;
    fo<<fixed<<setprecision(0)<<suml+sumc<<" ";fo<<fixed<<setprecision(2)<<(suml+sumc)/(n-1);
}
